iwlwifi-29 kernel timeout queue active on fifo 2 and stuck

Bug #1776443 reported by Brian Burch on 2018-06-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

dell inspiron 15 3565 and intel 3165. Difficult to report when wifi is down!

Happens sometimes after a few minutes, never more than 30 minutes. Easy to capture journalctl when the network connection hangs. Intel fails on 2.4 GHz or 5 GHz, using several different AP's.

The same system runs stable and perfect with a USB dongle Realtek RTL8188CUS, but I have to blacklist iwlwifi in /etc/modprobe.d/modprobe.conf to prevent iwlwifi hanging all network activity while simply scanning and not connected to an AP.

I've had similar problems with this system under 17.10, but it has become more reproducible under 18.04. I've back-levelled the driver as far as possible, but they all hang the network. Because version 29 firmware is the latest in the bionic repository, and also on the intel support web site, I won't confuse matters by reporting earlier ubuntu kernels or iwlwifi versions

Brian Burch (brian-pingtoo) wrote :

brian@bacchus:~$ uname -a
Linux bacchus 4.15.0-22-lowlatency #24-Ubuntu SMP PREEMPT Wed May 16 17:09:05 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
brian@bacchus:~$ lsb_release -a

LSB Version: core-9.20170808ubuntu1-noarch:printing-9.20170808ubuntu1-noarch:security-9.20170808ubuntu1-noarch
Distributor ID: Ubuntu
Description: Ubuntu 18.04 LTS
Release: 18.04
Codename: bionic

lspci:-
16:00.0 Network controller: Intel Corporation Wireless 3165 (rev 79)

ii linux-firmware 1.173.1 all Firmware for Linux kernel drivers

brian@bacchus:/lib/firmware$ ls -l | grep iwlwifi | grep 7265D
lrwxrwxrwx 1 root root 21 Nov 18 2017 iwlwifi-7265D-10.ucode -> iwlwifi-7265-10.ucode
-rw-r--r-- 1 root root 1002800 Mar 30 2017 iwlwifi-7265D-12.ucode
-rw-r--r-- 1 root root 1008692 Mar 30 2017 iwlwifi-7265D-13.ucode
-rw-r--r-- 1 root root 1384500 Mar 30 2017 iwlwifi-7265D-16.ucode
-rw-r--r-- 1 root root 1383604 Nov 18 2017 iwlwifi-7265D-17.ucode
-rw-r--r-- 1 root root 1385368 Nov 18 2017 iwlwifi-7265D-21.ucode
-rw-r--r-- 1 root root 1028376 Apr 25 00:23 iwlwifi-7265D-22.ucode
-rw-r--r-- 1 root root 1032740 Dec 6 2017 iwlwifi-7265D-27.ucode
-rw-r--r-- 1 root root 1036432 May 19 04:07 iwlwifi-7265D-29.ucode

Brian Burch (brian-pingtoo) wrote :

I'm pretty sure the same hardware adapter and firmware is supporting bluetooth for my logitech mouse.

tags: added: wifi
tags: added: intel
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.17 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.17

Changed in linux-firmware (Ubuntu):
importance: Undecided → Medium
affects: linux-firmware (Ubuntu) → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1776443

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Brian Burch (brian-pingtoo) wrote :

I won't confuse the matter with details, but after I reproduced the problem (obviously) apport could not reach launchpad because the wifi adapter was out of action. I connected an ethernet cable, but then apport failed on three different attempts.

I was under the impression I had attached a "journalctl -f" log of the failure, but I don't see it above. I will attach another copy next.

Brian Burch (brian-pingtoo) wrote :

Joseph... I also thought I had mentioned this a quite a new machine, so it doesn't have a lot of history. However, I had a similar wifi failure quite often with the latest 17.10 kernel before the upgrade to 18.04.

I will look for a 17.10 log if you think it would be helpful, but I'm not sure I kept any.

More importantly, and more hopefully, I will try to install an upstream kernel as you suggest.

I am certain of two things:

1. I have tried every version of iwlwifi from 29 back to 17. I'm pretty sure the older firmware packages would not work with my hardware and kernel versions.

2. If I blacklist iwlwifi and use a dongle with Realtek wifi adapter, the problem does not occur.

Although it is possible this is a kernel or driver bug, my guess is we are dealing with a firmware bug. The Intel support page for this driver says:

"Having Wi-Fi and Bluetooth running at the same time is a challenge."

I am sure you will let me know if I can collect any other useful information, either before the failure, or after. In the meantime, I will follow the instructions by marking this bug "confirmed".

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Brian Burch (brian-pingtoo) wrote :

I installed the latest upstream kernel, headers and modules. As far as I can tell, it suffers exactly the same failure as the latest released bionic lowlatency kernel. The stack ttrace seems very similar and the timeout message looks to be the same. My guess is still the intel iwlwifi version 29 firmware (although all the older versions which will load onto my 3165 wifi adapter have failed in similar but not identical ways).

I will attach a couple of journalctl logs for anyone interested and knowledgeable enough to compare.

Kai-Heng Feng (kaihengfeng) wrote :

Please give #3 a try...

Brian Burch (brian-pingtoo) wrote :

Thanks for your comment, Kai-Heng, but I did try the latest upstrem kernel at the weekend. Please refer to my post #8.

Is there a good reason to try a kernel more recent than:-

linux-image-unsigned-4.17.0-041700-lowlatency_4.17.0-041700.201806041953_amd64.deb

... along with its associated headers and modules packages?

If you think there is, then I'll certainly install another and test it - I would really like to get this bug pinned down quickly, even if it can't be fixed straight away.

It takes me an hour or so and I am rather busy at the moment, so I don't want to waste time just to "test" a few extra but irrelevant changes...

tags: added: kernel-bug-exists-upstream
Brian Burch (brian-pingtoo) wrote :

Is anything happening with this bug report? Are you waiting for me to do something more, or provide more information.

If it has been passed upstream as I anticipated, could you let me have details so that I can follow progress there, please?

Brian Burch (brian-pingtoo) wrote :

After upgrading to 19.04 disco, the system is still too unstable to be useful. The current kernel is 5.0.0-13-lowlatency (buildd@lcy01-amd64-020).

I note the Intel driver has not changed after the upgrade from 18.10 cosmic, i.e. still iwlwifi-7265D-29.ucode, packaged within linux-firmware version 1.178.

The details of the stack trace are different, but the outcome is the same (attached). The wifi connection is lost and kernel error messages spew out to the log. Stopping and restarting wifi makes no difference. The only "solution" is to shut down the system and reboot.

Luckily I have a usb dongle that uses rtlwifi firmware, which works OK.

Kai-Heng Feng (kaihengfeng) wrote :

Sorry for the late reply. Does this happen on generic kernel?

On 17/5/19 1:14 am, Kai-Heng Feng wrote:
> Sorry for the late reply. Does this happen on generic kernel?
>

It is so good to hear from anyone on this problem, so I welcome your
"late reply"!

My laptop runs ubuntu studio 19.04, but studio stopped including the
linux-generic package many releases ago.

By the way, /lib/firmware/iwlwifi-7265D-29.ucode is the latest on this
19.04 disco system, dated 18 May 2018, so I have confirmed it as broken
with at least two earlier ubuntu releases and very many kernels.

I suppose we should wish iwlwifi-7265D-29 a happy birthday???

In order to answer your question, there is no reason why I cannot
install it, so I will try to find time in the next few days...
unfortunately I have a broken desktop and other work commitments which
need to be delivered using only this laptop, so I don't want to distract
myself and accidentally break something!

I'll get back to you in a day or two. I am very interested in the result
of the test.

Regards,

Brian

Brian Burch (brian-pingtoo) wrote :

I installed the 5.0.0-15-generic kernel and removed iwlwifi from the /etc/modprobe.d/blacklist. The system was stable and ran very well for 4 or 5 hours.

When I booted it (still generic kernel) this morning, it failed after about 20 minutes. I rebooted and teed journalctl for documentation. The failure occurred after only 4 or 5 minutes. I will attach the log from this crash.

Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
To post a comment you must log in.